"""Add block_hash

Revision ID: 91451b16c5c8
Revises: 0f8ee1ebb45f
Create Date: 2023-10-16 14:39:31.687486

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '91451b16c5c8'
down_revision = '0f8ee1ebb45f'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('ethereum_labels', sa.Column('block_hash', sa.VARCHAR(length=256), nullable=True))
    op.create_index(op.f('ix_ethereum_labels_block_hash'), 'ethereum_labels', ['block_hash'], unique=False)
    op.add_column('mumbai_labels', sa.Column('block_hash', sa.VARCHAR(length=256), nullable=True))
    op.create_index(op.f('ix_mumbai_labels_block_hash'), 'mumbai_labels', ['block_hash'], unique=False)
    op.add_column('polygon_labels', sa.Column('block_hash', sa.VARCHAR(length=256), nullable=True))
    op.create_index(op.f('ix_polygon_labels_block_hash'), 'polygon_labels', ['block_hash'], unique=False)
    op.add_column('wyrm_labels', sa.Column('block_hash', sa.VARCHAR(length=256), nullable=True))
    op.create_index(op.f('ix_wyrm_labels_block_hash'), 'wyrm_labels', ['block_hash'], unique=False)
    op.add_column('xdai_labels', sa.Column('block_hash', sa.VARCHAR(length=256), nullable=True))
    op.create_index(op.f('ix_xdai_labels_block_hash'), 'xdai_labels', ['block_hash'], unique=False)
    op.add_column('zksync_era_labels', sa.Column('block_hash', sa.VARCHAR(length=256), nullable=True))
    op.create_index(op.f('ix_zksync_era_labels_block_hash'), 'zksync_era_labels', ['block_hash'], unique=False)
    op.add_column('zksync_era_testnet_labels', sa.Column('block_hash', sa.VARCHAR(length=256), nullable=True))
    op.create_index(op.f('ix_zksync_era_testnet_labels_block_hash'), 'zksync_era_testnet_labels', ['block_hash'], unique=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_zksync_era_testnet_labels_block_hash'), table_name='zksync_era_testnet_labels')
    op.drop_column('zksync_era_testnet_labels', 'block_hash')
    op.drop_index(op.f('ix_zksync_era_labels_block_hash'), table_name='zksync_era_labels')
    op.drop_column('zksync_era_labels', 'block_hash')
    op.drop_index(op.f('ix_xdai_labels_block_hash'), table_name='xdai_labels')
    op.drop_column('xdai_labels', 'block_hash')
    op.drop_index(op.f('ix_wyrm_labels_block_hash'), table_name='wyrm_labels')
    op.drop_column('wyrm_labels', 'block_hash')
    op.drop_index(op.f('ix_polygon_labels_block_hash'), table_name='polygon_labels')
    op.drop_column('polygon_labels', 'block_hash')
    op.drop_index(op.f('ix_mumbai_labels_block_hash'), table_name='mumbai_labels')
    op.drop_column('mumbai_labels', 'block_hash')
    op.drop_index(op.f('ix_ethereum_labels_block_hash'), table_name='ethereum_labels')
    op.drop_column('ethereum_labels', 'block_hash')
    # ### end Alembic commands ###
